UMODEM(4) | Device Drivers Manual | UMODEM(4)

# NAME

`umodem` —
USB modem support

# SYNOPSIS

`umodem* at uhub?`
`ucom* at umodem?`

# DESCRIPTION

The `umodem` driver provides support for USB modems in the Communication Device Class using the Abstract Control Model. These modems are basically standard serial line modems, but they are accessed via USB instead. They support a regular AT command set. The commands can either be multiplexed with the data stream or handled through separate pipes. In the latter case the AT commands have to be given on a device separate from the data device.

The device is accessed through the ucom(4) driver which makes it behave like a tty(4).

# SEE ALSO

tty(4), ucom(4), usb(4)

# HISTORY

The `umodem` driver appeared in NetBSD 1.5.

# BUGS

Only modems with multiplexed commands and data are supported at the moment.

August 16, 1999 | NetBSD 9.4